dnsjit.input.pcap(3)

NAME
dnsjit.input.pcap - Read input from an interface or PCAP file using libpcap

SYNOPSIS
  local input = require("dnsjit.input.pcap").new()
  input:open_offline("file.pcap")
  input:receiver(filter_or_output)
  input:run()

DESCRIPTION
Input module for reading packets from interfaces and PCAP files.

  Functions

Pcap.new()
    Create a new Pcap input.

Pcap:log()
    Return the Log object to control logging of this instance or module.

Pcap:receiver(o)
    Set the receiver to pass objects to.

Pcap:produce()
    Return the C functions and context for producing objects.

Pcap:create(source)
    Open a live packet capture on source, which is an interface name or "any" (Linux) / "all" (BSD). Must be activated before use.

Pcap:activate()
    Activate a live packet capture, see pcap_activate(3pcap) for more information and possible return values.

Pcap:open_offline(file)
    Open a PCAP file for processing, see pcap_open_offline(3pcap) for more information. Returns 0 on success.

Pcap:loop(cnt)
    Process packets from a live capture or savefile until cnt packets are processed, see pcap_loop(3pcap) for more information and possible return values.

Pcap:dispatch(cnt)
    Process packets from a live capture or savefile until cnt packets are processed, see pcap_dispatch(3pcap) for more information and possible return values.

Pcap:packets()
    Return the number of packets seen.

Pcap:linktype()
    Return the linktype of the opened PCAP.

Pcap:snaplen()
    Return the snaplen of the opened PCAP.

SEE ALSO
dnsjit.output.pcap(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net